const { Blockchain, Transaction } = require("./blockchain");
const EC = require("elliptic").ec;
const ec = new EC("secp256k1");

const myKey = ec.keyFromPrivate(
  "fd54eae80465808e4dd63a5aa5e26dfdd3302840f9f29fe755115cd3d7387740"
);
const myWalletAddress = myKey.getPublic("hex");

let jobelCoin = new Blockchain();

const tx1 = new Transaction(myWalletAddress, "public key goes here", 10);
tx1.signTransaction(myKey);
jobelCoin.addTransaction(tx1);

console.log("\nStarting the miner...");
jobelCoin.minePendingTransactions(myWalletAddress);

console.log(
  "\nBalance of roberta is ",
  jobelCoin.getBalanceOfAddress(myWalletAddress)
);

//jobelCoin.chain[1].transactions[0].amount = 1;

console.log("Is chain valid?", jobelCoin.isChainValid());

//console.log(JSON.stringify(jobelCoin, null, 2));
